#ifndef __INCLUDE_CONTROLPROC_HPP__
#define __INCLUDE_CONTROLPROC_HPP__

#include "Proc.hpp"

class ControlProc : public Proc {
	public:
		ControlProc(Proc* pop) : Proc(pop) {}

		virtual std::string getDotStyle() const {
			if (getState() == CLOSED && isUncertain())
				return "[style=filled, fillcolor=salmon]";
			else if (getState() == SERIALIZED)
				return "[style=filled, fillcolor=greenyellow]";
			else
				return "";
		}

		virtual bool isDiscovery() const = 0;
};

#endif //#ifndef __INCLUDE_CONTROLPROC_HPP__

